import { ConvertOptions } from './types.js';
import { JSONSchema } from 'mongochangestream';
import makeError from 'make-error';
export declare const Mongo2CrateError: makeError.Constructor<makeError.BaseError>;
export declare type ConvertSchema = (jsonSchema: JSONSchema, qualifiedName: string, options?: ConvertOptions) => string;
/**
 * Convert MongoDB JSON schema to CrateDB table DDL.
 * Optionally, omit fields, rename fields, and change the BSON type for fields.
 * The latter is useful where a more-specific numeric type is needed.
 */
export declare const convertSchema: ConvertSchema;
