import _ from 'lodash/fp.js';
/**
 * Does arr start with startsWith array.
 */
export const arrayStartsWith = (arr, startsWith) => {
    for (let i = 0; i < startsWith.length; i++) {
        if (arr[i] !== startsWith[i]) {
            return false;
        }
    }
    return true;
};
export const setDefaults = (keys, val) => {
    const obj = {};
    for (const key of keys) {
        obj[key] = val;
    }
    return obj;
};
export const renameKey = (doc, key, newKey) => _.flow(_.set(newKey, _.get(key, doc)), _.omit([key]))(doc);
export const renameKeys = (doc, keys) => {
    let newDoc = doc;
    for (const key in keys) {
        if (_.has(key, doc)) {
            const newKey = keys[key];
            newDoc = renameKey(newDoc, key, newKey);
        }
    }
    return newDoc;
};
export const sumByRowcount = (num) => _.sumBy(({ rowcount }) => (rowcount === num ? 1 : 0));
